clone:
  git:
    when:
      event:
        - tag
        - push
        - pull_request
    image: woodpeckerci/plugin-git:2.1.0
    settings:
      depth: 1
      lfs: false
      recursive: false
      tags: true

steps:
  cs:
    group: test
    image: danog/madelineproto:next
    when:
      event:
        - pull_request
        - tag
        - push
    commands:
      - tests/test.sh cs

  psalm:
    group: test
    image: danog/madelineproto:next
    when:
      event:
        - pull_request
        - tag
        - push
    commands:
      - tests/test.sh psalm